# Uses of Interface
org.eclipse.jdt.core.JavaCore.JavaRunnable

Packages that use JavaCore.JavaRunnable
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.

## Uses of JavaCore.JavaRunnable in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core with parameters of type JavaCore.JavaRunnable
Modifier and Type
Method
Description
`static <T, E extends Exception>
void`
JavaCore.`runReadOnly(JavaCore.JavaRunnable<E> runnable)`
Runs the argument and will forward its Exception.